package com.ynet.life.cache;

import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_cache.jar:com/ynet/life/cache/FIFOCache.class */
public class FIFOCache implements Cache {
    private int cacheSize;
    private Map map = Collections.synchronizedMap(new HashMap());
    private List keyList = Collections.synchronizedList(new LinkedList());

    @Override // com.ynet.life.cache.Cache
    public Object get(Object key) {
        return this.map.get(key);
    }

    @Override // com.ynet.life.cache.Cache
    public void put(Object key, Object value) {
        if (this.keyList.contains(key)) {
            return;
        }
        this.keyList.add(key);
        this.map.put(key, value);
        if (this.keyList.size() > this.cacheSize) {
            Object o = this.keyList.remove(0);
            this.map.remove(o);
        }
    }

    @Override // com.ynet.life.cache.Cache
    public void remove(Object key) {
        this.map.remove(key);
        this.keyList.remove(key);
    }

    @Override // com.ynet.life.cache.Cache
    public void clear() {
        this.map.clear();
        this.keyList.clear();
    }

    @Override // com.ynet.life.cache.Cache
    public void configure(int size) {
        this.cacheSize = size;
    }

    @Override // com.ynet.life.cache.Cache
    public String getCacheName() {
        return null;
    }
}
